Bug 200381 - upgrade sysutils/slurm-hpc to 14.11.7 and change name to slurm-wlm
Summary: upgrade sysutils/slurm-hpc to 14.11.7 and change name to slurm-wlm
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-05-22 04:00 UTC by Joseph Mingrone
Modified: 2015-07-28 18:52 UTC (History)
1 user (show)

See Also:


Attachments
patch to upgrade sysutils/slurm-hpc to version 14.11.7 and change name to slurm-wlm (1020 bytes, patch)
2015-05-22 04:00 UTC, Joseph Mingrone
no flags Details | Diff
patch to upgrade sysutils/slurm-hpc to version 14.11.8 and change name to slurm-wlm (1.68 KB, patch)
2015-07-26 04:42 UTC, Joseph Mingrone
no flags Details | Diff
patch to upgrade sysutils/slurm-hpc to version 14.11.8 and change name to slurm-wlm (2.37 KB, patch)
2015-07-26 20:00 UTC, Joseph Mingrone
no flags Details | Diff
poudriere testport log (44.08 KB, application/x-bzip)
2015-07-26 20:03 UTC, Joseph Mingrone
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Mingrone freebsd_committer 2015-05-22 04:00:14 UTC
Created attachment 157027 [details]
patch to upgrade sysutils/slurm-hpc to version 14.11.7 and change name to slurm-wlm

From Danny Auble of SchedMD: "we are trying to standardize on slurm-wlm for the package name with the different distros. How difficult would it be to change the name?"
Comment 1 Joseph Mingrone freebsd_committer 2015-07-26 04:42:36 UTC
Created attachment 159229 [details]
patch to upgrade sysutils/slurm-hpc to version 14.11.8 and change name to slurm-wlm

14.11.8 has come out
Comment 2 Joseph Mingrone freebsd_committer 2015-07-26 20:00:01 UTC
Created attachment 159273 [details]
patch to upgrade sysutils/slurm-hpc to version 14.11.8 and change name to slurm-wlm

Fixed a problem in the last patch when the GTK2 options was selected.
Comment 3 Joseph Mingrone freebsd_committer 2015-07-26 20:03:59 UTC
Created attachment 159274 [details]
poudriere testport log
Comment 4 commit-hook freebsd_committer 2015-07-28 18:42:13 UTC
A commit references this bug:

Author: feld
Date: Tue Jul 28 18:41:39 UTC 2015
New revision: 393090
URL: https://svnweb.freebsd.org/changeset/ports/393090

Log:
  Rename sysutils/slurm-hpc -> sysutils/slurm-wlm
  Update to 14.11.8

  Upstream is standardizing on "slurm-wlm", so we are renaming the port
  accordingly.

  PR:		200381
  Approved by:	maintainer

Changes:
  head/MOVED
  head/sysutils/Makefile
  head/sysutils/slurm-hpc/
  head/sysutils/slurm-wlm/
  head/sysutils/slurm-wlm/Makefile
  head/sysutils/slurm-wlm/distinfo
  head/sysutils/slurm-wlm/pkg-plist
Comment 5 Mark Felder freebsd_committer 2015-07-28 18:52:14 UTC
The move and update to the port has been successful.

Thanks!